Package org.apache.storm.serialization.types

## Class ListDelegateSerializer

- java.lang.Object
- - com.esotericsoftware.kryo.Serializer<T>
  - - com.esotericsoftware.kryo.serializers.CollectionSerializer<ListDelegate>
    - - org.apache.storm.serialization.types.ListDelegateSerializer

-     public class ListDelegateSerializer
      extends com.esotericsoftware.kryo.serializers.CollectionSerializer<ListDelegate>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.esotericsoftware.kryo.serializers.CollectionSerializer

      `com.esotericsoftware.kryo.serializers.CollectionSerializer.BindCollection`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListDelegateSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ListDelegate` | `create​(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, Class<? extends ListDelegate> type, int length)` |

    - ### Methods inherited from class com.esotericsoftware.kryo.serializers.CollectionSerializer

      `copy, createCopy, getElementClass, getElementSerializer, read, setElementClass, setElementClass, setElementsCanBeNull, setElementSerializer, write, writeHeader`

    - ### Methods inherited from class com.esotericsoftware.kryo.Serializer

      `getAcceptsNull, isImmutable, setAcceptsNull, setImmutable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDelegateSerializer

          public ListDelegateSerializer()

  - ### Method Detail

    - #### create

          public ListDelegate create​(com.esotericsoftware.kryo.Kryo kryo,
                                     com.esotericsoftware.kryo.io.Input input,
                                     Class<? extends ListDelegate> type,
                                     int length)

      Overrides:
        `create` in class `com.esotericsoftware.kryo.serializers.CollectionSerializer<ListDelegate>`